Bug 117825 - winbind daemon won't start because of missing uid and gid in /etc/samba/smb.conf
winbind daemon won't start because of missing uid and gid in /etc/samba/smb.conf
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-03-08 18:37 EST by Sindre Pedersen Bjørdal
Modified: 2014-08-31 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-28 13:11:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2004-03-08 18:37:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040116

Description of problem:
After a clean install of Fedora with samba I noticed this issue: 

When starting the winbind daemon using the service winbind start
command, I get FAILED. The log file /var/log/samba/winbindd.log has
the following message:

[2004/02/09 13:47:06, 1] nsswitch/winbindd.c:main(832)
  winbindd version 3.0.0-15 started.
  Copyright The Samba Team 2000-2003
[2004/02/09 13:47:06, 0] nsswitch/winbindd_util.c:winbindd_param_init(445)
  winbindd: idmap uid range missing or invalid
[2004/02/09 13:47:06, 0] nsswitch/winbindd_util.c:winbindd_param_init(446)
  winbindd: cannot continue, exiting.

I asked around, and this nice guy in #samba at the freenode network
told me to add the following to my /etc/samba/smb.conf:
 idmap uid = 10000-20000
 idmap gid = 10000-20000

I did, and then winbind started fine.

If these two lines are required to make winbind start, why aren't they
included in the default configuration? I know of atleast two others
who had the very same issue, the two lines above added to smb.conf
fixed it in their case as well as mine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install samba
2. service winbind start
3. Watch it fail and the error in the log
4. Add the two lines mentioned above
5. Watch it start as it should
Comment 1 Matthew Miller 2006-07-11 13:43:25 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.


NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 2 John Thacker 2006-10-28 13:11:52 EDT
Note that FC1 and FC2 are no longer supported even by Fedora Legacy.  Many
changes have occurred since these older releases.  Please install a supported
version of Fedora Core and retest.  If this still occurs on FC3 or FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.